package com.qmth.paper.library.business.bean.result;

import com.qmth.paper.library.common.bean.dto.PrivilegeDto;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 自定义菜单result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/8/24
 */
public class CustomPrivilegeResult implements Serializable {

    @ApiModelProperty(value = "自定义菜单")
    List<PrivilegeDto> customPrivilegeList;

    @ApiModelProperty(value = "全局pdf格式")
    List<String> sysPdfSize;

    public CustomPrivilegeResult() {

    }

    public CustomPrivilegeResult(List<PrivilegeDto> customPrivilegeList) {
        this.customPrivilegeList = customPrivilegeList;
    }

    public List<PrivilegeDto> getCustomPrivilegeList() {
        return customPrivilegeList;
    }

    public void setCustomPrivilegeList(List<PrivilegeDto> customPrivilegeList) {
        this.customPrivilegeList = customPrivilegeList;
    }

    public List<String> getSysPdfSize() {
        return sysPdfSize;
    }

    public void setSysPdfSize(List<String> sysPdfSize) {
        this.sysPdfSize = sysPdfSize;
    }
}
